Scriptname ShipFromDawnstar extends ObjectReference  

ObjectReference Property TheIslandMarker  Auto  

Actor Property PlayerRef  Auto  

Message Property DawnstarStart Auto

; GLZ required for GetFormFromFile()
Import Game


Event OnActivate(ObjectReference akActionRef)
if akActionRef == Game.GetPlayer() 
		Int iButton = DawnstarStart.Show() ; Shows your menu.
		If iButton == 0  ; Docks
			PlayerRef.MoveTo(TheIslandMarker)
			Sailor01.Enable()
			Sailor02.Enable()
			Sailor03.Enable()
			ShipSound.Enable()
			ShipAtIsland.Enable()
			; GLZ commented out the following line
			; ShipStorage.Enable()

		ElseIf iButton == 1 ; Shipwreck
; GLZ CHANGES BEGIN
			;Remove all weapons/armor/jewelry/soul gems from PLAYER EXCEPT backpacks, pouches, etc.
			Int M = PlayerRef.GetNumItems()
			While M > 0
				M -= 1
				Form Item = PlayerRef.GetNthForm(M)
				string item_name = Item.getName()
				If Item as Weapon || Item as Armor || Item as Ammo || Item as SoulGem
					If (StringUtil.Find(item_name, "Stick") != -1) || (StringUtil.Find(item_name, "Backpack") != -1) || (StringUtil.Find(item_name, "Bandolier") != -1) || (StringUtil.Find(item_name, "Satchel") != -1) || (StringUtil.Find(item_name, "Pouch") != -1) || (StringUtil.Find(item_name, "Holder") != -1) || (StringUtil.Find(item_name, "Bag") != -1) || (StringUtil.Find(item_name, "Vial") != -1) || (StringUtil.Find(item_name, "Lantern") != -1) || (StringUtil.Find(item_name, "Ring of Meyzkulniin") != -1) || (StringUtil.Find(item_name, "Dwemer King") != -1) || (StringUtil.Find(item_name, "Map") != -1)
						; skip item
					Else
						PlayerRef.RemoveItem(Item, PlayerRef.GetItemCount(Item), True, None)
					Endif
				Elseif Item as MiscObject
					If (StringUtil.Find(item_name, "Garnet") > -1) || (StringUtil.Find(item_name, "Ruby") > -1) || (StringUtil.Find(item_name, "Amethyst") > -1) || (StringUtil.Find(item_name, "Diamond") > -1) || (StringUtil.Find(item_name, "Sapphire") > -1) || (StringUtil.Find(item_name, "Emerald") > -1)
						If (StringUtil.Find(item_name, "Claw") > -1) || (StringUtil.Find(item_name, "Paragon") > -1)
							; skip item
						Else
							PlayerRef.RemoveItem(Item, PlayerRef.GetItemCount(Item), True, None)
						Endif
					Endif
				Endif 
			EndWhile
			
			;Remove all gold from player
			Form Gold = GetFormFromFile(0x0000000f,"Skyrim.esm")
			PlayerRef.RemoveItem(Gold, 999999, true, None)
			
			;Put basic clothes back on player
			Form RaggedRobes = GetFormFromFile(0x00013105,"Skyrim.esm")
			Form RaggedBoots = GetFormFromFile(0x00013106,"Skyrim.esm")
			PlayerRef.AddItem(RaggedRobes)
			PlayerRef.AddItem(RaggedBoots)
			PlayerRef.EquipItem(RaggedRobes)
			PlayerRef.EquipItem(RaggedBoots)
; GLZ CHANGES END

			PlayerRef.MoveTo(Loc03)
			ShipwreckMain.SetStage(10)
			StartMessage.Show()
			Sound01.Disable()
			Sailor001.Disable()
			Sailor002.Disable()
			Sailor003.Disable()
			; GLZ commented out the following line
			; Storage.Disable()
			Self.Disable()
		EndIf

	EndIf
EndEvent

ObjectReference Property ShipAtIsland  Auto  

ObjectReference Property ShipSound  Auto  

ObjectReference Property Sailor01  Auto  

ObjectReference Property Sailor02  Auto  

ObjectReference Property Sailor03  Auto  

ObjectReference Property Loc03 Auto

Quest Property ShipwreckMain Auto 

ObjectReference Property ShipStorage Auto

Message Property StartMessage  Auto  

ObjectReference Property Sailor001 Auto

ObjectReference Property Sailor002 Auto

ObjectReference Property Sailor003 Auto

ObjectReference Property Sound01 Auto

ObjectReference Property Storage Auto